
object_properties

; bit 7 - hide object - do not display. Uriah head then segment object required in same pat
; bit 6 - dead/passthrough - bullet goes through
; bit 5 - indestructible - bullet bounces
; bit 4 - harmless
; bit 3 - alien missile type hi. scenery trips man
; bit 2 - alien missile type lo.
; bit 1 - low scenery=1, 0=mid scenery, y bottom of alien
; bit 0 - sine wave on y scenery, y top of alien

; NB for middle scenery set both bits 0 & 1 off
; y as middle of alien both bits should be off
; Also note y is always bottom of scenery even if scenery in sky - high bit not used on own

        .byte hide_bit+passthru_bit+harmless_bit        ; 0    bullet
        .byte passthru_bit+oval_bits                    ; 1    oval
        .byte passthru_bit+fireball_bits                ; 2    fireball
        .byte passthru_bit+rocket_bits                  ; 3    rocket
        .byte dead_bit+harmless_bit+low_bit             ; 4    explosion
        .byte low_bit                                   ; 5    tree
        .byte high_bit                                  ; 6    rock
        .byte low_bit                                   ; 7    rock
        .byte low_bit                                   ; 8    brick
        .byte low_bit                                   ; 9    stick
        .byte trip_bit+low_bit                          ; 10   bush
        .byte bounce_bit+low_bit                        ; 11   pillar
        .byte fireball_bits+low_bit                     ; 12   head
        .byte high_bit                                  ; 13   orange
        .byte bounce_bit+low_bit                        ; 14   plantA
        .byte bounce_bit+low_bit                        ; 15   plantB
        .byte bounce_bit+low_bit                        ; 16   plantC
        .byte low_bit                                   ; 17   mushA
        .byte low_bit                                   ; 18   mushB
        .byte bounce_bit+high_bit                       ; 19   hexagon
        .byte bounce_bit+low_bit                        ; 20   hexagon
        .byte bounce_bit+low_bit                        ; 21   pylon
        .byte bounce_bit+low_bit                        ; 22   antenna
        .byte bounce_bit+low_bit                        ; 23   tower
        .byte low_bit                                   ; 24   tallrock
        .byte low_bit                                   ; 25   peanut
        .byte bounce_bit+low_bit                        ; 26   spike
        .byte low_bit                                   ; 27   mammoth
        .byte trip_bit+low_bit                          ; 28   bones
        .byte bounce_bit+high_bit                       ; 29   hexgrey
        .byte bounce_bit+low_bit                        ; 30   hexgrey
        .byte 0                                         ; 31
        .byte 0                                         ; 32
        .byte oval_bits+high_bit                        ; 33   ship
        .byte bounce_bit+oval_bits                      ; 34   triadA
        .byte bounce_bit+oval_bits                      ; 35   triadB
        .byte oval_bits                                 ; 36   triadC
        .byte fireball_bits                             ; 37   drag1A
        .byte fireball_bits                             ; 38   drag1B
        .byte bounce_bit                                ; 39   dragseg1A
        .byte bounce_bit                                ; 40   dragseg1B
        .byte oval_bits                                 ; 41   gremlin
        .byte fireball_bits                             ; 42   fly
        .byte fireball_bits                             ; 43   drag2A
        .byte fireball_bits                             ; 44   drag2B
        .byte bounce_bit                                ; 45   dragseg2A
        .byte bounce_bit                                ; 46   dragseg2B
        .byte rocket_bits+low_bit                       ; 47   robot1A
        .byte rocket_bits+low_bit                       ; 48   robot1B
        .byte bounce_bit+harmless_bit                   ; 49   uriahA
        .byte bounce_bit+harmless_bit                   ; 50   uriahB
        .byte bounce_bit+harmless_bit                   ; 51   uriahseg
        .byte bounce_bit+harmless_bit                   ; 52   uriahseg
        .byte oval_bits                                 ; 53   bugA
        .byte oval_bits                                 ; 54   bugB
        .byte rocket_bits                               ; 55   planeA
        .byte rocket_bits                               ; 56   planeB
        .byte rocket_bits                               ; 57   jetA
        .byte rocket_bits                               ; 58   jetB
        .byte rocket_bits+low_bit                       ; 59   robot2A
        .byte rocket_bits+low_bit                       ; 60   robot2B
        .byte oval_bits                                 ; 61   ballA
        .byte bounce_bit+oval_bits                      ; 62   ballB
        .byte oval_bits                                 ; 63   ballC
        .byte rocket_bits+low_bit                       ; 64   robot3A
        .byte rocket_bits+low_bit                       ; 65   robot3B
        .byte oval_bits                                 ; 66   triangleA
        .byte oval_bits                                 ; 67   triangleB
        .byte bounce_bit+oval_bits                      ; 68   triangleC
        .byte 0                                         ; 69   title
        .byte 0                                         ; 70   anims
        .byte fireball_bits+low_bit                     ; 71   syura
        .byte harmless_bit+rocket_bits                  ; 72   robot4B
        .byte harmless_bit+rocket_bits                  ; 73   robot4A
        .byte bounce_bit+rocket_bits+low_bit            ; 74   robot5
        .byte rocket_bits+low_bit                       ; 75   robot6A
        .byte rocket_bits+low_bit                       ; 76   robot6B
        .byte rocket_bits                               ; 77   robot7
        .byte fireball_bits                             ; 78   drag3A
        .byte fireball_bits                             ; 79   drag3B
        .byte bounce_bit                                ; 80   dragseg3A
        .byte bounce_bit                                ; 81   dragseg3B
        .byte oval_bits                                 ; 82   dumbellsA
        .byte bounce_bit+oval_bits                      ; 83   dumbellsB
        .byte low_bit                                   ; 84   purple
        .byte fireball_bits+low_bit                     ; 85   barbarian
        .byte bounce_bit+low_bit                        ; 86   stanray
        .byte bounce_bit                                ; 87   wiwijumboA
        .byte 0                                         ; 88   wiwijumboA
        .byte 0                                         ; 89   wiwijumboA
        .byte 0                                         ; 90   wiwijumboB
        .byte 0                                         ; 91   wiwijumboC
        .byte bounce_bit+fireball_bits                  ; 92   dogA
        .byte bounce_bit+fireball_bits                  ; 93   dogB
        .byte 0                                         ; 94   end
        .byte 0                                         ; 95

object_sound

; bit 7 denotes use as scenery sound

        .byte 0                                         ; 0    bullet
        .byte ovalfx                                    ; 1    oval
        .byte fireballfx                                ; 2    fireball
        .byte orangefx                                  ; 3    rocket
        .byte explosionfx                               ; 4    explosion
        .byte robot1fx                                  ; 5    tree
        .byte robot1fx                                  ; 6    rock
        .byte robot1fx                                  ; 7    rock
        .byte robot1fx                                  ; 8    brick
        .byte robot1fx                                  ; 9    stick
        .byte robot1fx                                  ; 10   bush
        .byte robot1fx                                  ; 11   pillar
        .byte headfx                                    ; 12   head
        .byte orangefx+128                              ; 13   orange
        .byte robot1fx                                  ; 14   plantA
        .byte robot1fx                                  ; 15   plantB
        .byte robot1fx                                  ; 16   plantC
        .byte robot1fx                                  ; 17   mushA
        .byte robot1fx                                  ; 18   mushB
        .byte orangefx+128                              ; 19   hexagon
        .byte orangefx+128                              ; 20   hexagon
        .byte robot1fx                                  ; 21   pylon
        .byte robot1fx                                  ; 22   antenna
        .byte robot1fx                                  ; 23   tower
        .byte robot1fx                                  ; 24   tallrock
        .byte robot1fx                                  ; 25   peanut
        .byte robot1fx                                  ; 26   spike
        .byte robot1fx                                  ; 27   mammoth
        .byte robot1fx                                  ; 28   bones
        .byte orangefx+128                              ; 29   hexgrey
        .byte orangefx+128                              ; 30   hexgrey
        .byte 0                                         ; 31
        .byte 0                                         ; 32
        .byte shipfx                                    ; 33   ship
        .byte triadfx                                   ; 34   triadA
        .byte triadfx                                   ; 35   triadB
        .byte triadfx                                   ; 36   triadC
        .byte 0                                         ; 37   drag1A
        .byte 0                                         ; 38   drag1B
        .byte 0                                         ; 39   dragseg1A
        .byte 0                                         ; 40   dragseg1B
        .byte gremlinfx                                 ; 41   gremlin
        .byte flyfx                                     ; 42   fly
        .byte 0                                         ; 43   drag2A
        .byte 0                                         ; 44   drag2B
        .byte 0                                         ; 45   dragseg2A
        .byte 0                                         ; 46   dragseg2B
        .byte robot1fx                                  ; 47   robot1A
        .byte robot1fx                                  ; 48   robot1B
        .byte 0                                         ; 49   uriahA
        .byte 0                                         ; 50   uriahB
        .byte 0                                         ; 51   uriahseg
        .byte 0                                         ; 52   uriahseg
        .byte shipfx                                    ; 53   bugA
        .byte 0                                         ; 54   bugB
        .byte planefx                                   ; 55   planeA
        .byte planefx                                   ; 56   planeB
        .byte planefx                                   ; 57   jetA
        .byte planefx                                   ; 58   jetB
        .byte robot2fx                                  ; 59   robot2A
        .byte robot2fx                                  ; 60   robot2B
        .byte 0                                         ; 61   ballA
        .byte 0                                         ; 62   ballB
        .byte 0                                         ; 63   ballC
        .byte robot1fx                                  ; 64   robot3A
        .byte robot1fx                                  ; 65   robot3B
        .byte 0                                         ; 66   triangleA
        .byte 0                                         ; 67   triangleB
        .byte 0                                         ; 68   triangleC
        .byte 0                                         ; 69   title
        .byte 0                                         ; 70   anims
        .byte 0                                         ; 71   syura
        .byte robot2fx                                  ; 72   robot4B
        .byte robot2fx                                  ; 73   robot4A
        .byte 0                                         ; 74   robot5
        .byte robot2fx                                  ; 75   robot6A
        .byte robot2fx                                  ; 76   robot6B
        .byte robot2fx                                  ; 77   robot7
        .byte 0                                         ; 78   drag3A
        .byte 0                                         ; 79   drag3B
        .byte 0                                         ; 80   dragseg3A
        .byte 0                                         ; 81   dragseg3B
        .byte 0                                         ; 82   dumbellsA
        .byte 0                                         ; 83   dumbellsB
        .byte 0                                         ; 84   purple
        .byte 0                                         ; 85   barbarian
        .byte 0                                         ; 86   stanray
        .byte 0                                         ; 87   wiwijumboA
        .byte 0                                         ; 88   wiwijumboA
        .byte 0                                         ; 89   wiwijumboA
        .byte 0                                         ; 90   wiwijumboB
        .byte 0                                         ; 91   wiwijumboC
        .byte 0                                         ; 92   dogA
        .byte 0                                         ; 93   dogB
        .byte 0                                         ; 94   end
        .byte 0                                         ; 95

object_to_sizes

        .byte 22                                        ; 0    bullet
        .byte 0                                         ; 1    oval
        .byte 1                                         ; 2    fireball
        .byte 2                                         ; 3    rocket
        .byte 3                                         ; 4    explosion
        .byte 4                                         ; 5    tree
        .byte 5                                         ; 6    rock
        .byte 5                                         ; 7    rock
        .byte 8                                         ; 8    brick
        .byte 7                                         ; 9    stick
        .byte 6                                         ; 10   bush
        .byte 9                                         ; 11   pillar
        .byte 10                                        ; 12   head
        .byte 11                                        ; 13   orange
        .byte 12                                        ; 14   plantA
        .byte 12                                        ; 15   plantB
        .byte 12                                        ; 16   plantC
        .byte 13                                        ; 17   mushA
        .byte 13                                        ; 18   mushB
        .byte 14                                        ; 19   hexagon
        .byte 14                                        ; 20   hexagon
        .byte 15                                        ; 21   pylon
        .byte 16                                        ; 22   antenna
        .byte 17                                        ; 23   tower
        .byte 18                                        ; 24   tallrock
        .byte 58                                        ; 25   peanut
        .byte 19                                        ; 26   spike
        .byte 20                                        ; 27   mammoth
        .byte 21                                        ; 28   bones
        .byte 14                                        ; 29   hexgrey
        .byte 14                                        ; 30   hexgrey
        .byte 0                                         ; 31
        .byte 0                                         ; 32
        .byte 23                                        ; 33   ship
        .byte 24                                        ; 34   triadA
        .byte 25                                        ; 35   triadB
        .byte 26                                        ; 36   triadC
        .byte 27                                        ; 37   drag1A
        .byte 27                                        ; 38   drag1B
        .byte 28                                        ; 39   dragseg1A
        .byte 28                                        ; 40   dragseg1B
        .byte 29                                        ; 41   gremlin
        .byte 30                                        ; 42   fly
        .byte 31                                        ; 43   drag2A
        .byte 31                                        ; 44   drag2B
        .byte 28                                        ; 45   dragseg2A
        .byte 28                                        ; 46   dragseg2B
        .byte 32                                        ; 47   robot1A
        .byte 32                                        ; 48   robot1B
        .byte 33                                        ; 49   uriahA
        .byte 34                                        ; 50   uriahB
        .byte 35                                        ; 51   uriahseg
        .byte 35                                        ; 52   uriahseg
        .byte 36                                        ; 53   bugA
        .byte 37                                        ; 54   bugB
        .byte 38                                        ; 55   planeA
        .byte 38                                        ; 56   planeB
        .byte 39                                        ; 57   jetA
        .byte 40                                        ; 58   jetB
        .byte 32                                        ; 59   robot2A
        .byte 32                                        ; 60   robot2B
        .byte 41                                        ; 61   ballA
        .byte 42                                        ; 62   ballB
        .byte 41                                        ; 63   ballC
        .byte 32                                        ; 64   robot3A
        .byte 32                                        ; 65   robot3B
        .byte 43                                        ; 66   triangleA
        .byte 43                                        ; 67   triangleB
        .byte 44                                        ; 68   triangleC
        .byte 45                                        ; 69   title
        .byte 46                                        ; 70   anims
        .byte 47                                        ; 71   syura
        .byte 48                                        ; 72   robot4B
        .byte 48                                        ; 73   robot4A
        .byte 49                                        ; 74   robot5
        .byte 32                                        ; 75   robot6A
        .byte 32                                        ; 76   robot6B
        .byte 50                                        ; 77   robot7
        .byte 51                                        ; 78   drag3A
        .byte 51                                        ; 79   drag3B
        .byte 52                                        ; 80   dragseg3A
        .byte 52                                        ; 81   dragseg3B
        .byte 53                                        ; 82   dumbellsA
        .byte 53                                        ; 83   dumbellsB
        .byte 11                                        ; 84   purple
        .byte 54                                        ; 85   barbarian
        .byte 55                                        ; 86   stanray
        .byte 56                                        ; 87   wiwijumboA
        .byte 56                                        ; 88   wiwijumboA
        .byte 56                                        ; 89   wiwijumboA
        .byte 57                                        ; 90   wiwijumboB
        .byte 57                                        ; 91   wiwijumboC
        .byte 59                                        ; 92   dogA
        .byte 59                                        ; 93   dogB
        .byte 60                                        ; 94   end
        .byte 0                                         ; 95

sizes

        .include "Converted/ovalSizes.asm"              ; 0
        .include "Converted/fireballSizes.asm"          ; 1
        .include "Converted/rocketSizes.asm"            ; 2
        .include "Converted/explosionSizes.asm"         ; 3
        .include "Converted/treeSizes.asm"              ; 4
        .include "Converted/rockSizes.asm"              ; 5
        .include "Converted/bushSizes.asm"              ; 6
        .include "Converted/stickSizes.asm"             ; 7
        .include "Converted/brickSizes.asm"             ; 8
        .include "Converted/pillarSizes.asm"            ; 9
        .include "Converted/headSizes.asm"              ; 10
        .include "Converted/orangeSizes.asm"            ; 11
        .include "Converted/plantASizes.asm"            ; 12
        .include "Converted/mushASizes.asm"             ; 13
        .include "Converted/hexagonSizes.asm"           ; 14
        .include "Converted/pylonSizes.asm"             ; 15
        .include "Converted/antennaSizes.asm"           ; 16
        .include "Converted/towerSizes.asm"             ; 17
        .include "Converted/tallrockSizes.asm"          ; 18
        .include "Converted/spikeSizes.asm"             ; 19
        .include "Converted/mammothSizes.asm"           ; 20
        .include "Converted/bonesSizes.asm"             ; 21
        .include "Converted/bulletSizes.asm"            ; 22
        .include "Converted/shipSizes.asm"              ; 23
        .include "Converted/triadASizes.asm"            ; 24
        .include "Converted/triadBSizes.asm"            ; 25
        .include "Converted/triadCSizes.asm"            ; 26
        .include "Converted/drag1ASizes.asm"            ; 27
        .include "Converted/dragseg1ASizes.asm"         ; 28
        .include "Converted/gremlinSizes.asm"           ; 29
        .include "Converted/flySizes.asm"               ; 30
        .include "Converted/drag2ASizes.asm"            ; 31
        .include "Converted/robot1ASizes.asm"           ; 32
        .include "Converted/uriahASizes.asm"            ; 33
        .include "Converted/uriahBSizes.asm"            ; 34
        .include "Converted/uriahsegSizes.asm"          ; 35
        .include "Converted/bugASizes.asm"              ; 36
        .include "Converted/bugBSizes.asm"              ; 37
        .include "Converted/planeASizes.asm"            ; 38
        .include "Converted/jetASizes.asm"              ; 39
        .include "Converted/jetBSizes.asm"              ; 40
        .include "Converted/ballASizes.asm"             ; 41
        .include "Converted/ballBSizes.asm"             ; 42
        .include "Converted/triangleASizes.asm"         ; 43
        .include "Converted/triangleCSizes.asm"         ; 44
        .include "Converted/titleSizes.asm"             ; 45
        .include "Converted/animsSizes.asm"             ; 46
        .include "Converted/syuraSizes.asm"             ; 47
        .include "Converted/robot4ASizes.asm"           ; 48
        .include "Converted/robot5Sizes.asm"            ; 49
        .include "Converted/robot7Sizes.asm"            ; 50
        .include "Converted/drag3ASizes.asm"            ; 51
        .include "Converted/dragseg3ASizes.asm"         ; 52
        .include "Converted/dumbellsASizes.asm"         ; 53
        .include "Converted/barbarianSizes.asm"         ; 54
        .include "Converted/stanraySizes.asm"           ; 55
        .include "Converted/wiwijumboASizes.asm"        ; 56
        .include "Converted/wiwijumboBSizes.asm"        ; 57
        .include "Converted/peanutSizes.asm"            ; 58
        .include "Converted/dogASizes.asm"              ; 59
        .include "Converted/endSizes.asm"               ; 60
                                                        ; 61
                                                        ; 62
                                                        ; 63
                                                        ; 64
                                                        ; 65
                                                        ; 66
                                                        ; 67
                                                        ; 68
                                                        ; 69
                                                        ; 70
                                                        ; 71
                                                        ; 72
                                                        ; 73
                                                        ; 74
                                                        ; 75
                                                        ; 76
                                                        ; 77
                                                        ; 78
                                                        ; 79
