
; stage 0 data

	*=$0000
	
	.opt no obj
	
	.include "../constants.asm"
	.include "../patterns.asm"

	.opt obj

;stage_overlay

; stage name

;stage_name1		.ds 8
;stage_name2		.ds 8

	.dc 8 0
	.dc 8 0

; song position required at stage start

;song_required		.ds 1
;song_line		.ds 1

	.byte music_bank_offset
	.byte 0
	
; stage speed PAL & NTSC - 0=25fps, 1=20fps, 2=17fps, 3=15fps, 4=12fps

;stage_speed		.ds 1

	.byte 4

; stage type - bit 7 - normal, bit 7 off - top grid, bit 0-1 - uriah (counter type) 

;stage_type		.ds 1

	.byte ~10000000

; minimum length missile must travel

;missile_min_length	.ds 4		; wiwi jumbo, oval, fireball, robot missile

	.byte 128,128,128,128

; objects required for stage
; any empty slot must be set to negative

;size_slots		.ds max_size_slots

	.byte 128,128,128
	.byte 128,128,128,128,128,128,128,128,128,128
	.byte 128,128,128,128,128,title,bush,tree,mammoth,robot1a

; sky positions and colours (the first, highest colour doesn't require a position)
; NB lowest horizon value should be used for sky position, which is max man_y divided by 2 + 4
; currently (64+42)/2 + 4 = 57. (72-57) is the lowest dli on horizon.

;sky_pos		.ds 39

	.byte 41,43,45,47,49,51,53,55
	.byte 57,59,61,64,67,70,73,76
	.byte 79,82,85,88,0,0,0,0
	.byte 0,0,0,0,0,0,0,0
	.byte 0,0,0,0,0,0,0

;sky_colour		.ds 40
	
	.byte 2
	.byte 4,6,8,10,12,10,8,6
	.byte 4,2,4,6,8,10,12,10
	.byte 8,6,4,2,1,0,0,0
	.byte 0,0,0,0,0,0,0,0
	.byte 0,0,0,0,0,0,0

; grid colours and colour cycling
; start should be 1 more than table entry required as a DEC is done on the fetch

;grid_colour_start	.ds 1

	.byte 0

;grid_colour_wrap	.ds 1

	.byte 0

;grid_colour_pause	.ds 24

	.dc 24 0

;grid_colour1		.ds 24

	.dc 24 0

;grid_colour2		.ds 24

	.dc 24 0

; all the objects controlled by a scenery stream are used together in a row
; if non zero one is randomly made to be missing

;scenery_row		.ds 1

	.byte 0

; scenery objects with high_bit set use sine wave like y positions if set to non-zero

;scenery_sine		.ds 1

	.byte 0

; scenery can be in a narrow x range near centre of screen for Uriah or more widely
; spaced for other stages. logical and with random number is done to give range
; x range -63 to +63, set to 127. x range -15 to +15, set to 31

;scenery_spread		.ds 1

	.byte 0

; scenery streams

; control=0 means no object
; control bit 1 - object row
; control bit 0 - multi-object (ie different coloured mushrooms)
; control other bits are object type
; timer=0 means infinite wait for end of stage. timer is in seconds/2

;stream1_control	.ds 34

	.dc 34 0

;stream1_timer		.ds 34

	.dc 34 0

;stream2_control	.ds 34

	.dc 34 0

;stream2_timer		.ds 34

	.dc 34 0

; sequencer stream

; byte 1 - timer. timer is in seconds/2 (129-255 means wait until active patterns dead)

;stream_timer		.ds max_patterns

	.dc [max_patterns] 0

; byte 2 - properties (when no object then pattern command required)

;stream_properties
;stream_pat_command	.ds max_patterns

	.dc [max_patterns] 0
; byte 3 - pattern offset lo (when no object then game command required)

;stream_pat_lo
;stream_game_command	.ds max_patterns

	.dc [max_patterns] 0

; byte 4 - bit 0-3 - pattern offset hi
; byte 4 - bit 4-7 - object qty (NB sum patterns are allowed 0 objects) 
; byte 4 - (when no object then game command music required)

;stream_pat_hi
;stream_qty
;stream_game_argument	.ds max_patterns

	.dc [max_patterns] 0

; byte 5 - object type (0 means no objects - a non-pattern game command)

;stream_object		.ds max_patterns

	.dc [max_patterns] 0

; byte 6 - object spacing
; byte 6 - when bit 7 - hit count patterm
; byte 6 - also bit 3-6 - qty of hits before animation or actions (when a hit count pattern)
; byte 6 - also bit 0-2 - qty of animation frames or actions (when a hit count pattern)

;stream_spacing		.ds max_patterns

	.dc [max_patterns] 0

